from abc import abstractmethod
from typing import Literal

from consts import *


class Attack:
    @abstractmethod
    def name(self) -> str:
        return "generic"

    @abstractmethod
    def deps(self) -> Literal["\033[0;31m", "\033[0;32m"]:
        return RED

    @abstractmethod
    def run(self) -> None:
        pass
