#!/usr/bin/env bash

FILEPATH="$1"
PASSHASH="$2"
HASHTYPE="$3"
WORDLIST="$4"
HASHNUM=

case "$HASHTYPE" in
"md5")
	HASHNUM=0
	;;
"sha2-256")
	HASHNUM=1400
	;;
"bcrypt")
	HASHNUM=3200
	;;
esac

echo "$PASSHASH" >"$FILEPATH"/hash.txt

hashcat -m "$HASHNUM" -a 0 "$FILEPATH"/hash.txt "$WORDLIST" &&
	hashcat -m "$HASHNUM" -a 0 "$FILEPATH"/hash.txt "$WORDLIST" --show
