import os

from attacks.brute_force_local import BruteForceLocal
from attacks.brute_force_web import BruteForceWeb
from attacks.dos import DoS
from attacks.nmap import NMap
from consts import *
from utils import create_menu

ATTACKS = {
    0: BruteForceWeb(),
    1: BruteForceLocal(),
    2: DoS(),
    3: NMap(),
}


def main_menu():
    while True:
        os.system("clear")
        print(HOWTOQUIT)
        choice = create_menu(
            "choose attack",
            [f"{i.deps()}{i.name()}" for i in ATTACKS.values()],
        )
        if choice is None:
            exit(0)
        attack = ATTACKS[choice]
        if attack.deps() == GRE:
            while True:
                try:
                    os.system("clear")
                    print(HOWTOQUIT)
                    attack.run()
                except KeyboardInterrupt:
                    break


if __name__ == "__main__":
    main_menu()
