from attacks import Attack
from consts import *
from utils import create_menu, get_script_dir, run_script

script_dir = get_script_dir(__file__)


class NMap(Attack):
    def name(self):
        return "nmap scan"

    def deps(self):
        return_code = run_script(f"bash {script_dir}/depends.sh")
        if return_code == 0:
            return GRE
        return RED

    def run(self):
        scan_type = create_menu(
            "scan type",
            [
                "fast and stealthy",
                "fast and loud",
                "thorough and stealthy",
                "thorough and loud",
            ],
        )
        if scan_type is None:
            raise KeyboardInterrupt
        ipaddr = input(f"{YEL}target IP address:{NOC} ")
        run_script(f"bash {script_dir}/run.sh {scan_type} {ipaddr}")
